# Agilent 4294A Precision Impedance Analyzer

class pymeasure.instruments.agilent.Agilent4294A(adapter, name='Agilent 4294A Precision Impedance Analyzer', read_termination='\n', write_termination='\n', timeout=5000, **kwargs)

  Bases: `SCPIMixin`, `Instrument`

  Represents the Agilent 4294A Precision Impedance Analyzer

  property active_trace

    Control the active trace

  get_data(path=None)

    Get the measurement data from the instrument after completion.

    Parameters:

      path – Path for optional data export to CSV.

    Returns:

      Pandas Dataframe

  property measurement_type

    Control the measurement type. See MEASUREMENT_TYPES

  property num_points

    Control the number of points measured at each sweep

  save_graphics(path='')

    Save graphics on the screen to a file on the local computer. Adapted from: https://www.keysight.com/se/en/lib/software-detail/programming-examples/4294a-data-transfer-program-excel-vba-1645196.html

  property start_frequency

    Control the start frequency in Hz

  property stop_frequency

    Control the stop frequency in Hz

  property title

    Control the title of the active trace